Bug Hunting Session
Bug 37926 - FILEOPEN FORMATTING On importing a Hebrew Word .doc file, text after page break not visible
Summary: FILEOPEN FORMATTING On importing a Hebrew Word .doc file, text after page bre...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-Hebrew
  Show dependency treegraph
 
Reported: 2011-06-04 10:15 UTC by Christopher M. Penalver
Modified: 2018-12-27 15:42 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
example.doc (92.50 KB, application/msword)
2011-06-04 10:15 UTC, Christopher M. Penalver
Details
example.doc loaded in Web View - phrase is visible (325.16 KB, image/png)
2018-12-27 15:36 UTC, Eyal Rozenberg
Details
example.doc loaded in Normal View - phrase is mostly-invisible (93.10 KB, image/png)
2018-12-27 15:40 UTC, Eyal Rozenberg
Details
example.doc loaded in Web View - phrase is visible (169.72 KB, image/png)
2018-12-27 15:42 UTC, Eyal Rozenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-06-04 10:15:23 UTC
Created attachment 47529 [details]
example.doc

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/373113

OOo bug may be found at:
http://qa.openoffice.org/issues/show_bug.cgi?id=101627

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/373113/+attachment/2154880/+files/example.doc && lowriter -nologo example.doc

Search for the word "סיכום המחקרים"‎, LO finds it and highlights it.

4) What happens instead is it finds it, but does not highlight it. As well, the text does not appear in the document.

WORKAROUND: Convert the document to .odt:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/373113/+attachment/2154880/+files/example.doc && unoconv --listener && unoconv -f odt example.doc && lowriter -nologo example.odt

apt-cache policy unoconv
unoconv:
  Installed: 0.3-6
  Candidate: 0.3-6
  Version table:
 *** 0.3-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/universe i386 Packages
        100 /var/lib/dpkg/status
Comment 1 Björn Michaelsen 2011-12-23 12:07:51 UTC Comment hidden (obsolete)
Comment 2 Haggai Eran 2011-12-24 10:48:57 UTC
Hi,

I've tried LibreOffice Writer 3.5.0 beta2 on Mac OS, and the bug was still there.

Regards,
Haggai
Comment 3 Lior Kaplan 2012-11-10 16:39:20 UTC
Still happens with LibO 3.6.3. Another thing I've noticed is that invoking any header related change (edit, delete) fixes the problem and the text reappears.
Comment 4 Lior Kaplan 2012-11-10 16:43:53 UTC
Another option is to change to print layout and back to web layout and everything looks OK.
Comment 5 QA Administrators 2015-09-04 02:49:57 UTC Comment hidden (obsolete)
Comment 6 Haggai Eran 2015-09-09 05:13:44 UTC
Hi,

I tested LibreOffice 5.0.1.2 on Ubuntu 14.04, and the issue still exists.

I had to use a slightly different command line though:
  cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/373113/+attachment/2154880/+files/example.doc && unoconv -f odt example.doc && lowriter --nologo example.odt
Comment 7 QA Administrators 2016-11-08 10:40:31 UTC Comment hidden (obsolete)
Comment 8 Lior Kaplan 2017-10-02 11:11:59 UTC
Verified on 5.1.6.
Comment 9 Amiad 2017-10-02 11:43:40 UTC
Verified on 5.4.1 (Arch Linux).
Comment 10 Omer Zak 2017-11-15 21:56:33 UTC
Still happens in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 11 QA Administrators 2018-11-16 03:41:57 UTC Comment hidden (obsolete)
Comment 12 Haggai Eran 2018-11-16 18:43:07 UTC
I believe this bug still exist in version 6.1.3.2. I tried it on Ubuntu 18.04 using the snap package.
Comment 13 Eyal Rozenberg 2018-12-27 15:24:09 UTC
Can someone please use MS Word to change this document, replacing the Hebrew text with Arabic text or even English text without changing directions, number of linesd, formatting etc?

I have a feeling this is not Hebrew-related, and perhaps not even RTL-vs-LTR related, but just a Word import issue.

Anyway, seeing this bug with 

LO Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_IL); UI-Language: en-US
Calc: threaded
Comment 14 Eyal Rozenberg 2018-12-27 15:36:50 UTC
Created attachment 147860 [details]
example.doc loaded in Web View - phrase is visible

After loading example.doc, locating the phrase לסיכום המחקרים and switching from Normal View to Web View, this is what I see.

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_IL); UI-Language: en-US
Calc: threaded

another screenshot to follow
Comment 15 Eyal Rozenberg 2018-12-27 15:40:39 UTC
Created attachment 147861 [details]
example.doc loaded in Normal View - phrase is mostly-invisible

After loading example.doc, locating the phrase לסיכום המחקרים, switching to Web View and then back again to Normal View, this is what I see.

This is not a blitting glitch, or the effect of a screen refresh timeout - it stays the same even if you resize the Window, move it, change the zoom etc.

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk3;
Comment 16 Eyal Rozenberg 2018-12-27 15:42:10 UTC
Created attachment 147862 [details]
example.doc loaded in Web View - phrase is visible

After loading example.doc, locating the phrase לסיכום המחקרים and switching from Normal View to Web View, this is what I see.

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk3; 

(a smaller version of 147860 - please ignore that one.)